FIND-CURSOR(1)

NAME
find-cursor - highlight the cursor position

SYNOPSIS
find-cursor [-fghto] [-s size] [-d distance] [-l line-width] [-w wait] [-c color]

DESCRIPTION
find-cursor highlights the cursor position by drawing circiles around them.

OPTIONS

-c, --color CODE
    Color; can either be an X11 color name or RGB as hex.

-d, --distance PIXELS
    Distance between the circles in pixels.

-f, --follow
    Follow the cursor position as the cursor is moving.

-g, --grow
    Grow the animation in size, rather than shrinking it.

-h, --help
    Show help.

-l, --line-width PIXELS
    Width of the lines.

-o, --outline
    Draw an outline in the opposite color as well. Helps visibility on all backgrounds.

-s, --size PIXELS
    Maximum size the circle will grow to.

-t, --transparent
    Make the window truly 'transparent'. This helps with some display issues when following the cursor position, but it doesn't work well with all WMs, which is why it's disabled by default.

-w, --wait MICROSECONDS
    Time to wait before drawing the next circle.

EXAMPLES

The defaults:
    find-cursor --size 320 --distance 40 --wait 400 --line-width 4 --color black

Draw a solid circle:
    find-cursor --size 100 --distance 1 --wait 20 --line-width 1

LAUNCHING

You will want to map a key in your window manager to run find-cursor. You can also use xbindkeys, which should work with $any window manager.

I run it with xcape:
    xcape -e 'Control_L=Escape;Shift_L=KP_Add'

When Left Shift is tapped a Keypad Add is sent; I configured my window manager to launch find-cursor with that.

I don't have a numpad on my keyboard; you can also use F13 or some other unused key.

AUTHORS

Martin Tournoij <martin@arp242.net>

The MIT license applies. See LICENSE in the source distribution.

https://github.com/Carpetsmoker/find-cursor